namespace VCommon.Logging
{
    public sealed class DefaultLogger : ILogger
    {
        public static readonly DefaultLogger Instance = new DefaultLogger();

        private DefaultLogger()
        {
        }

        public void Debug(string summary, object moreInfo = null)
        {
            Logger.Debug(summary, moreInfo);
        }

        public void Trace(string summary, object moreInfo = null)
        {
            Logger.Trace(summary, moreInfo);
        }

        public void Info(string summary, object moreInfo = null)
        {
            Logger.Info(summary, moreInfo);
        }

        public void Warn(string summary, object moreInfo = null)
        {
            Logger.Warn(summary, moreInfo);
        }

        public void Error(string summary, object moreInfo = null)
        {
            Logger.Error(summary, moreInfo);
        }

        public void Fatal(string summary, object moreInfo = null)
        {
            Logger.Fatal(summary, moreInfo);
        }
    }
}
